Package com.databricks.jdbc.model.client.thrift.generated

## Enum TExecuteStatementReq._Fields

- java.lang.Object
- - java.lang.Enum<TExecuteStatementReq._Fields>
  - - com.databricks.jdbc.model.client.thrift.generated.TExecuteStatementReq._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TExecuteStatementReq._Fields>`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  TExecuteStatementReq

    public static enum TExecuteStatementReq._Fields
    extends Enum<TExecuteStatementReq._Fields>
    implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Enum Constant Summary

Enum Constants
`CAN_DECOMPRESS_LZ4_RESULT`
`CAN_DOWNLOAD_RESULT`
`CAN_READ_ARROW_RESULT`
`CONF_OVERLAY`
`GET_DIRECT_RESULTS`
`MAX_BYTES_PER_BATCH`
`MAX_BYTES_PER_FILE`
`PARAMETERS`
`QUERY_TIMEOUT`
`RESULT_ROW_LIMIT`
`RUN_ASYNC`
`SESSION_HANDLE`
`STATEMENT`
`STATEMENT_CONF`
`USE_ARROW_NATIVE_TYPES`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TExecuteStatementReq._Fields` `findByName​(String name)` Find the _Fields constant that matches name, or null if its not found.
`static TExecuteStatementReq._Fields` `findByThriftId​(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static TExecuteStatementReq._Fields` `findByThriftIdOrThrow​(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String` `getFieldName()`
`short` `getThriftFieldId()`
`static TExecuteStatementReq._Fields` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TExecuteStatementReq._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SESSION_HANDLE

    public static final TExecuteStatementReq._Fields SESSION_HANDLE

#### STATEMENT

    public static final TExecuteStatementReq._Fields STATEMENT

#### CONF_OVERLAY

    public static final TExecuteStatementReq._Fields CONF_OVERLAY

#### RUN_ASYNC

    public static final TExecuteStatementReq._Fields RUN_ASYNC

#### GET_DIRECT_RESULTS

    public static final TExecuteStatementReq._Fields GET_DIRECT_RESULTS

#### QUERY_TIMEOUT

    public static final TExecuteStatementReq._Fields QUERY_TIMEOUT

#### CAN_READ_ARROW_RESULT

    public static final TExecuteStatementReq._Fields CAN_READ_ARROW_RESULT

#### CAN_DOWNLOAD_RESULT

    public static final TExecuteStatementReq._Fields CAN_DOWNLOAD_RESULT

#### CAN_DECOMPRESS_LZ4_RESULT

    public static final TExecuteStatementReq._Fields CAN_DECOMPRESS_LZ4_RESULT

#### MAX_BYTES_PER_FILE

    public static final TExecuteStatementReq._Fields MAX_BYTES_PER_FILE

#### USE_ARROW_NATIVE_TYPES

    public static final TExecuteStatementReq._Fields USE_ARROW_NATIVE_TYPES

#### RESULT_ROW_LIMIT

    public static final TExecuteStatementReq._Fields RESULT_ROW_LIMIT

#### PARAMETERS

    public static final TExecuteStatementReq._Fields PARAMETERS

#### MAX_BYTES_PER_BATCH

    public static final TExecuteStatementReq._Fields MAX_BYTES_PER_BATCH

#### STATEMENT_CONF

    public static final TExecuteStatementReq._Fields STATEMENT_CONF

### Method Detail

#### values

    public static TExecuteStatementReq._Fields[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TExecuteStatementReq._Fields c : TExecuteStatementReq._Fields.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TExecuteStatementReq._Fields valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### findByThriftId

    public static TExecuteStatementReq._Fields findByThriftId​(int fieldId)

Find the _Fields constant that matches fieldId, or null if its not found.

#### findByThriftIdOrThrow

    public static TExecuteStatementReq._Fields findByThriftIdOrThrow​(int fieldId)

Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

#### findByName

    public static TExecuteStatementReq._Fields findByName​(String name)

Find the _Fields constant that matches name, or null if its not found.

#### getThriftFieldId

    public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

#### getFieldName

    public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`